# TF2 Soldier Mod

Adds the Soldier TF2, ready for any war that comes his way.


# Overview

The Soldier is a mobile survivor that can use his tools to reposition himself, or aid his allies.


# About
This mod is a work in progress! 
My experience with the mod creation process is very limited, so *expect jank.*
Network functionality hasn't been tested much, so multiplayer may not function as intended.

![SoldierOverview](https://i.imgur.com/mvkc1bb.png)
Feel free to contact me if any issues pop up! 

# To Do:
- Add additional skins
- Test networking more thoroughly
- Make Rocket Jumping more stable, as it interacts oddly with slopes and certain map geometry
- Add Ragdoll when dying
- Add the 'Speed Down' sound when the Concheror Buff expires
- Add overlay for certain effects (e.g. freeze, teleporting, etc.)
- Make things look more pretty
- Clean up code/implementations
- Add a sound for selecting a character in the main menu
- Tap into the limitless potential of alternate weapons

# Known Issues:
- Soldier lacks the skins button  
- Soldier can be visible when landing in the drop pod, and teleporting to/from stages  
- Rocket Jumping can behave somewhat jankily (mostly on slopes or off of enemies)
- The Buff Icons are missing their textures
- Animations can overlap weirdly or display the wrong models. 

# Special Thanks
- Rob for the Henry Template	
- The RoR2 Modding Discord	
- Valve / Team Fortress 2 Team	

# Contact Me
- Discord: Lemner#4765	

# Changelog  
`0.2.1`		
	- Made some fixes for the SotV update.		
`0.2.0`	
	- Decreased the power of the Rocket Launcher slightly (800% -> 700%) 	
	- Decreased the power of the Shotgun slightly (9 x 70% -> 9 x 65%) and lowered Proc Coefficent (is now .5 per bullet) 	
	- Decreased the power of the Market Gardener (8000% -> 6000%) (I wanted to reign it in a bit, but still keep it satisfying to use) 	
	- Made the Concheror mobile/actionable. (note: actionable is something of an unintended side-effect) 	
	- Consolidated the Lifesteal buff into the actual conch buff 	
	- Reorganized and changed rocket jumping implementation to (hopefully) be more client-friendly. 	
`0.1.7`  	
	- Increased the power of the Rocket Launcher significantly (500% -> 800%)  
	- Decreased the power of the Shotgun slightly (9 x 80% -> 9 x 70%)  
	- ~~Tweaked Rocket Jumping implementation in an effort to fix clientside Rocket Jumping~~  
`0.1.6`  
	- Gave Soldier a janky ragdoll, that should fix the problems with players being locked in the death state	       	
`0.1.5(Special Thanks to Blazer Nitrox from the Modding Discord for all the help with dealing with a bunch of issues on this one!)`     	  
	- ~~Added a promising potential fix for multiplayer rocket jumping.~~    
	- Added a promising potential fix for getting locked out of abilities.    
	- Tougher Times no longer blocks the knockback for rocket jumping.  
	- Increased the aim range for Soldier, allowing him to shoot straight up/down.  
	- Handled some issues with SkinUI.  
`0.1.4`   
	- ~~Added another potential fix for multiplayer rocket jumping.~~ `Still no.`  	
	- Added a potential fix for being able to spam Primary and use the Special endlessly.  
	- Added a potential fix for items like Crowbar and Focus Crystal being activated when Rocket Jumping  
	- Fixed an 'issue' where the damage of the Rocket Launcher was using the wrong value (1600% -> 500%)  
	- Lowered the damage of the Shotgun (9 x 90% -> 9 x 80%)  
	- 
`0.1.3`  
	- ~~Added a potential fix for multiplayer rocket jumping.~~  `Not Fixed Here!`  
	- ~~Added a potential fix for being locked out of using the Secondary / Special abilities after using the Utility.~~  `Not Fixed Here!`  
`0.1.2`  
	- Tweaked the readme  
`0.1.0`  
	- Initial Release  

